'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  background-color: ', ';\n  height: 18px;\n  width: 18px;\n  opacity: 0.15;\n  border-radius: 50%;\n  display: inline-block;\n  position: absolute;\n'], ['\n  background-color: ', ';\n  height: 18px;\n  width: 18px;\n  opacity: 0.15;\n  border-radius: 50%;\n  display: inline-block;\n  position: absolute;\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n  height: 8px;\n  width: 8px;\n  background-color: ', ';\n  border-radius: 50%;\n  display: inline-block;\n  position: absolute;\n  left: 50%;\n  top: 50%;\n  margin-top: -4px;\n  margin-left: -4px;\n'], ['\n  height: 8px;\n  width: 8px;\n  background-color: ', ';\n  border-radius: 50%;\n  display: inline-block;\n  position: absolute;\n  left: 50%;\n  top: 50%;\n  margin-top: -4px;\n  margin-left: -4px;\n']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['\n  ', '\n  position: relative;\n  width: 18px;\n  height: 18px;\n  display: inline-block;\n'], ['\n  ', '\n  position: relative;\n  width: 18px;\n  height: 18px;\n  display: inline-block;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

var _breadcrumbs = require('../../Tokens/components/breadcrumbs');

var _breadcrumbs2 = _interopRequireDefault(_breadcrumbs);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var OuterCrumb = reset.span(_templateObject, function (p) {
  return p.theme.crumbColor;
});

var InnerCrumb = reset.span(_templateObject2, function (props) {
  if (props.state === 'complete' || props.state === 'active') {
    return '#4300E2';
  }
  return 'grey';
});

var CrumbContainer = reset.div(_templateObject3, function (props) {
  return props.onClick && 'cursor: pointer;';
});

var _ref = _react2.default.createElement(OuterCrumb, null);

var renderCrumb = function renderCrumb(crumb, idx) {
  return _react2.default.createElement(
    CrumbContainer,
    { key: idx, onClick: crumb.handleClick },
    crumb.state === 'active' && _ref,
    _react2.default.createElement(InnerCrumb, { state: crumb.state })
  );
};

var Breadcrumbs = function Breadcrumbs(props) {
  var data = props.data;

  return _react2.default.createElement(
    _styledComponents.ThemeProvider,
    { theme: _breadcrumbs2.default },
    _react2.default.createElement(
      'div',
      null,
      data && data.map(renderCrumb)
    )
  );
};

Breadcrumbs.propTypes = process.env.NODE_ENV !== "production" ? {
  data: _propTypes2.default.array
} : {};

exports.default = Breadcrumbs;