'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  flex: 1;\n  overflow-y: auto;\n'], ['\n  flex: 1;\n  overflow-y: auto;\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)([''], ['']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['\n  width: 100%;\n  height: 100%;\n  display: flex;\n  flex-direction: column;\n'], ['\n  width: 100%;\n  height: 100%;\n  display: flex;\n  flex-direction: column;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ScrollContainer = reset.div(_templateObject);

var FixedHeader = reset.div(_templateObject2);

var FixedFooter = reset.div(_templateObject2);

var Container = reset.div(_templateObject3);

var ThreeRowFixedHeader = function ThreeRowFixedHeader(header, children) {
  return _react2.default.createElement(
    Container,
    null,
    _react2.default.createElement(
      FixedHeader,
      null,
      header
    ),
    _react2.default.createElement(
      ScrollContainer,
      null,
      children
    )
  );
};

ThreeRowFixedHeader.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node,
  header: _propTypes2.default.node
} : {};

var ThreeRowFixedFooter = function ThreeRowFixedFooter(footer, children) {
  return _react2.default.createElement(
    Container,
    null,
    _react2.default.createElement(
      ScrollContainer,
      null,
      children
    ),
    _react2.default.createElement(
      FixedFooter,
      null,
      footer
    )
  );
};

ThreeRowFixedFooter.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node,
  footer: _propTypes2.default.node
} : {};

var ThreeRow = function ThreeRow(_ref) {
  var header = _ref.header,
      footer = _ref.footer,
      children = _ref.children,
      stickyFooter = _ref.stickyFooter,
      stickyHeader = _ref.stickyHeader;

  if (stickyHeader) return ThreeRowFixedHeader(header, children);
  if (stickyFooter) return ThreeRowFixedFooter(footer, children);
  return ThreeRowFixedHeader(header, children);
};

ThreeRow.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node,
  footer: _propTypes2.default.node,
  header: _propTypes2.default.node,
  stickyFooter: _propTypes2.default.bool,
  stickyHeader: _propTypes2.default.bool
} : {};

ThreeRow.defaultProps = {
  stickyHeader: false,
  stickyFooter: false
};

exports.default = ThreeRow;