'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  width: ', 'px;\n  height: ', 'px;\n  border-radius: ', 'px;\n  border-width: 1px;\n  border-style: solid;\n  color: ', ';\n  background: ', ';\n  margin-right: 12px;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  border-color: ', ';\n  background-color: ', ';\n'], ['\n  width: ', 'px;\n  height: ', 'px;\n  border-radius: ', 'px;\n  border-width: 1px;\n  border-style: solid;\n  color: ', ';\n  background: ', ';\n  margin-right: 12px;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  border-color: ', ';\n  background-color: ', ';\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n  display: flex;\n  margin: 18px 0;\n  &:hover {\n    ', ' {\n      border-color: ', ';\n      background-color: ', ';\n    }\n  }\n  &:active {\n    ', ' {\n      border-color: ', '\n      background-color: ', '\n    }\n  }\n'], ['\n  display: flex;\n  margin: 18px 0;\n  &:hover {\n    ', ' {\n      border-color: ', ';\n      background-color: ', ';\n    }\n  }\n  &:active {\n    ', ' {\n      border-color: ', '\n      background-color: ', '\n    }\n  }\n']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['\n  width: 8px;\n  height: 8px;\n  border-radius: 8px;\n  background-color: ', ';\n'], ['\n  width: 8px;\n  height: 8px;\n  border-radius: 8px;\n  background-color: ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

var _checkbox = require('../../Tokens/components/checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Radio = function Radio(props) {
  return _react2.default.createElement(
    _styledComponents.ThemeProvider,
    { theme: _checkbox2.default },
    _react2.default.createElement(
      RadioComponent,
      props,
      _react2.default.createElement(
        Circle,
        props,
        props.checked && _ref
      ),
      props.label
    )
  );
};

var Circle = reset.div(_templateObject, function (p) {
  return p.theme.width;
}, function (p) {
  return p.theme.height;
}, function (p) {
  return p.theme.width;
}, function (p) {
  return p.theme.colors.grey300;
}, function (p) {
  return p.theme.colors.white;
}, function (p) {
  if (p.disabled) {
    return p.theme.unchecked.disabled.border.color;
  }
  if (p.error) {
    return p.theme.unchecked.error.border.color;
  }
  if (p.checked) {
    return p.theme.checked.default.border.color;
  }
  return p.theme.unchecked.default.border.color;
}, function (p) {
  if (p.disabled) {
    return p.theme.unchecked.disabled.background.color;
  }
  if (p.error) {
    return p.theme.unchecked.error.background.color;
  }
  if (p.checked) {
    return p.theme.checked.default.background.color;
  }
  return p.theme.unchecked.default.background.color;
});

var RadioComponent = reset.div(_templateObject2, Circle, function (p) {
  if (p.disabled) return '';
  if (p.error) {
    return p.theme.unchecked.error.border.color;
  }
  if (p.checked) {
    return p.theme.checked.hover.border.color;
  }
  return p.theme.unchecked.hover.border.color;
}, function (p) {
  if (p.disabled) return '';
  if (p.error) {
    return p.theme.unchecked.error.background.color;
  }
  if (p.checked) {
    return p.theme.checked.hover.background.color;
  }
  return p.theme.unchecked.hover.background.color;
}, Circle, function (p) {
  if (p.disabled) return '';
  if (p.error) {
    return p.theme.unchecked.error.border.color;
  }
  if (p.checked) {
    return p.theme.checked.focus.border.color;
  }
  return p.theme.unchecked.focus.border.color;
}, function (p) {
  if (p.disabled) return '';
  if (p.error) {
    return p.theme.unchecked.error.background.color;
  }
  if (p.checked) {
    return p.theme.checked.focus.background.color;
  }
  return p.theme.unchecked.focus.background.color;
});

var Dot = reset.div(_templateObject3, function (p) {
  return p.theme.colors.white;
}),
    _ref = _react2.default.createElement(Dot, null);

Radio.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Checks the radio button
   */
  checked: _propTypes2.default.bool.isRequired,
  /**
   * Disable Radio
   */
  disabled: _propTypes2.default.bool,
  /**
   * Error state
   */
  error: _propTypes2.default.bool,
  /**
   * Sets the label for the Radio
   */
  label: _propTypes2.default.string.isRequired,
  /**
   * onClick handler
   */
  onClick: _propTypes2.default.func
} : {};

Radio.defaultProps = {
  label: '',
  checked: false
};

exports.default = Radio;