'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _SelectComponents = require('./SelectComponents');

var _TextFieldComponents = require('../TextField/TextFieldComponents');

var _TextField = require('../TextField/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _Dropdown = require('./Dropdown');

var _Dropdown2 = _interopRequireDefault(_Dropdown);

var _select = require('../../Tokens/components/select');

var _select2 = _interopRequireDefault(_select);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Select = function (_Component) {
  (0, _inherits3.default)(Select, _Component);

  function Select(props) {
    (0, _classCallCheck3.default)(this, Select);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Select.__proto__ || (0, _getPrototypeOf2.default)(Select)).call(this, props));

    _this.onTextFieldFocus = function () {
      _this.handleShowOptions();
    };

    _this.handleHideOptions = function () {
      _this.setState({
        optionsShowing: false
      });
    };

    _this.handleShowOptions = function () {
      _this.setState({
        optionsShowing: true
      });
    };

    _this.select = function (value) {
      if (value !== null && value !== undefined && value !== _this.state.value) {
        _this.props.onChange(value);
      }
      _this.setState({
        optionsShowing: false
      });
    };

    _this.handleToggle = function () {
      if (_this.state.optionsShowing) {
        _this.handleHideOptions();
      } else {
        _this.handleShowOptions();
      }
    };

    _this.handleSearchTextChange = function (value) {
      _this.props.searchChange(value);
    };

    _this.state = {
      optionsShowing: false,
      options: props.options
    };
    return _this;
  }

  (0, _createClass3.default)(Select, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.options !== this.props.options) {
        this.setState({
          options: nextProps.options
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          width = _props.width,
          searchable = _props.searchable,
          label = _props.label,
          value = _props.value,
          valueKey = _props.valueKey,
          labelKey = _props.labelKey;
      var _state = this.state,
          optionsShowing = _state.optionsShowing,
          options = _state.options;

      return _react2.default.createElement(
        _styledComponents.ThemeProvider,
        { theme: _select2.default },
        _react2.default.createElement(
          _SelectComponents.Container,
          { width: width },
          _react2.default.createElement(_SelectComponents.Mask, { show: optionsShowing, onClick: this.handleHideOptions }),
          label && _react2.default.createElement(
            _TextFieldComponents.Label,
            null,
            label
          ),
          searchable ? _react2.default.createElement(_TextField2.default, {
            value: value && options.length > 0 && options.find(function (option) {
              return option[valueKey] === value;
            })[labelKey],
            style: { paddingTop: 0, paddingBottom: 6 },
            onFocus: this.onTextFieldFocus,
            onChange: this.handleSearchTextChange
          }) : _react2.default.createElement(_Dropdown2.default, {
            value: options.length > 0 && options.find(function (option) {
              return option[valueKey] === value;
            })[labelKey],
            onClick: this.handleToggle,
            isOpen: optionsShowing,
            onOpen: this.handleShowOptions,
            onClose: this.handleHideOptions
          }),
          _react2.default.createElement(
            _SelectComponents.OptionsContainer,
            { size: options.length, hasLabel: !!label, show: optionsShowing },
            _react2.default.createElement(
              _SelectComponents.OptionsScrollContainer,
              null,
              options.length < 1 && _react2.default.createElement(
                _SelectComponents.Option,
                { onClick: function onClick() {
                    return _this2.select();
                  } },
                'No results'
              ),
              options.map(function (d) {
                return _react2.default.createElement(
                  _SelectComponents.Option,
                  { onClick: function onClick() {
                      return _this2.select(d[valueKey]);
                    } },
                  d[labelKey]
                );
              })
            )
          )
        )
      );
    }
  }]);
  return Select;
}(_react.Component);

Select.propTypes = process.env.NODE_ENV !== "production" ? {
  label: _propTypes2.default.string,
  labelKey: _propTypes2.default.string,
  onChange: _propTypes2.default.func.isRequired,
  options: _propTypes2.default.array.isRequired,
  placeholder: _propTypes2.default.string,
  searchable: _propTypes2.default.bool.isRequired,
  searchChange: _propTypes2.default.func,
  value: _propTypes2.default.string,
  valueKey: _propTypes2.default.string,
  width: _propTypes2.default.string
} : {};

Select.defaultProps = {
  label: null,
  valueKey: 'value',
  labelKey: 'label',
  options: [],
  placeholder: 'Choose',
  searchable: false,
  searchChange: function searchChange() {},
  onChange: function onChange() {},
  value: null
};

exports.default = Select;