'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _colors = require('../../Tokens/base/colors');

var _colors2 = _interopRequireDefault(_colors);

var _UnderlinedOptionContainer = require('./UnderlinedOptionContainer');

var _UnderlinedOptionContainer2 = _interopRequireDefault(_UnderlinedOptionContainer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var UnderlinedOption = function UnderlinedOption(props) {
  return _react2.default.createElement(
    _styledComponents.ThemeProvider,
    { theme: function theme(x) {
        return x;
      } },
    _react2.default.createElement(_UnderlinedOptionContainer2.default, props)
  );
};

UnderlinedOption.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Underline color if underlined
   */
  borderColor: _propTypes2.default.string,
  /**
   * Label
   */
  children: _propTypes2.default.node.isRequired,
  /**
   * Regular or small UnderlinedOption.
   */
  variation: _propTypes2.default.oneOf(['large', 'regular'])
} : {};

UnderlinedOption.defaultProps = {
  variation: 'regular',
  borderColor: _colors2.default.brand100
};

exports.default = UnderlinedOption;