'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  @import url(\'https://fonts.googleapis.com/css?family=Noto+Sans:400,400i,700,700i\');\n'], ['\n  @import url(\'https://fonts.googleapis.com/css?family=Noto+Sans:400,400i,700,700i\');\n']);

var _styledComponents = require('styled-components');

var _colors = require('./colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line no-unused-expressions
(0, _styledComponents.injectGlobal)(_templateObject);

var font = {
  fontFamily: "'Noto Sans', sans-serif",
  regular: {
    size: 16,
    lineHeight: 24
  },
  title: {
    size: 36,
    lineHeight: 42
  }
};

var text = {
  color: _colors2.default.grey400,
  navigation: {
    fontSize: 20,
    lineHeight: 24
  },
  body: {
    fontSize: font.regular.size,
    lineHeight: font.regular.lineHeight,
    paddingTop: 12,
    paddingBottom: 12,
    color: _colors2.default.grey300
  },
  subheading: {
    size: 16,
    fontSize: 16,
    lineHeight: 24,
    paddingTop: 12,
    paddingBottom: 12,
    color: _colors2.default.grey400,
    fontWeight: 'bold'
  },
  title: {
    fontSize: font.title.size,
    lineHeight: font.title.lineHeight,
    paddingTop: 7,
    paddingBottom: 11,
    color: _colors2.default.grey400
  },
  caption: {
    fontSize: 14
  },
  link: {
    color: _colors2.default.brand100,
    hover: {
      color: _colors2.default.brand200
    },
    active: {
      color: _colors2.default.brand300
    }
  }
};

exports.default = (0, _extends3.default)({}, font, text);