'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (defaultTheme) {
  return (0, _extends3.default)({}, defaultTheme, {
    base: {
      borderRadius: 27,
      fontSize: defaultTheme.typography.regular.size,
      lineHeight: defaultTheme.typography.regular.lineHeight,
      fontWeight: 'bold',
      minWidth: '150px',
      paddingTop: defaultTheme.spacing.paddingVertical + 'px',
      paddingBottom: defaultTheme.spacing.paddingVertical + 'px',
      paddingLeft: defaultTheme.spacing.paddingHorizontalRounded + 'px',
      paddingRight: defaultTheme.spacing.paddingHorizontalRounded + 'px',
      marginTop: defaultTheme.spacing.marginVertical + 'px',
      marginBottom: defaultTheme.spacing.marginVertical + 'px',
      borderWidth: '1px',
      borderStyle: 'solid'
    },
    standard: {
      backgroundColor: defaultTheme.colors.white,
      borderColor: defaultTheme.colors.brand100,
      // Text color
      color: defaultTheme.colors.brand100,
      hover: {
        // Fill
        backgroundColor: defaultTheme.colors.brand50,
        borderColor: defaultTheme.colors.brand100,
        // Text color
        color: defaultTheme.colors.brand100
      },
      active: {
        // Fill
        backgroundColor: defaultTheme.colors.brand300,
        borderColor: defaultTheme.colors.brand300,
        // Text color
        color: defaultTheme.colors.white
      },
      disabled: {
        // Fill
        backgroundColor: defaultTheme.colors.grey100,
        borderColor: defaultTheme.colors.grey200,
        // Text color
        color: defaultTheme.colors.grey400
      }
    },
    primary: {
      backgroundColor: defaultTheme.colors.brand100,
      borderColor: defaultTheme.colors.brand100,
      // Text color
      color: defaultTheme.colors.white,
      hover: {
        // Fill
        backgroundColor: defaultTheme.colors.brand200,
        borderColor: defaultTheme.colors.brand200,
        // Text color
        color: defaultTheme.colors.white
      },
      active: {
        // Fill
        backgroundColor: defaultTheme.colors.brand300,
        borderColor: defaultTheme.colors.brand300,
        // Text color
        color: defaultTheme.colors.white
      },
      disabled: {
        // Fill
        backgroundColor: defaultTheme.colors.grey100,
        borderColor: defaultTheme.colors.grey200,
        // Text color
        color: defaultTheme.colors.grey400
      }
    }
  });
};