import React from 'react';
import PropTypes from 'prop-types';
import { css, ThemeProvider } from 'styled-components';
import * as reset from '../reset';
import componentTheme from '../../Tokens/components/actions';

const alignMap = {
  left: css`
    justify-content: flex-start;
  `,
  center: css`
    justify-content: center;
  `,
  right: css`
    justify-content: flex-end;
  `
};
const ActionsComponent = reset.div`
  display: flex;
  flex-direction: row;
  & > * {
    margin-right: ${p => p.theme.actionSpacing}px;
  }
  & > :last-child {
    margin-right: 0;
  }
  ${p => alignMap[p.align]}
`;
const Actions = props => React.createElement(
  ThemeProvider,
  { theme: componentTheme },
  React.createElement(ActionsComponent, props)
);

Actions.propTypes = process.env.NODE_ENV !== "production" ? {
  align: PropTypes.oneOf(['left', 'center', 'right'])
} : {};
Actions.defaultProps = {
  align: 'left'
};

export default Actions;