import React from 'react';
import PropTypes from 'prop-types';
import { ThemeProvider } from 'styled-components';
import * as reset from '../reset';
import componentTheme from '../../Tokens/components/contentbox';

const ContentBoxComponent = reset.div`
  padding: 20px;
  background-color: ${props => props.theme[props.variation]};
`;

const ContentBox = props => React.createElement(
  ThemeProvider,
  { theme: componentTheme },
  React.createElement(ContentBoxComponent, props)
);

ContentBox.propTypes = process.env.NODE_ENV !== "production" ? {
  variation: PropTypes.oneOf(['light', 'dark'])
} : {};

ContentBox.defaultProps = {
  variation: 'light'
};

export default ContentBox;