import React from 'react';
import PropTypes from 'prop-types';
import * as reset from '../reset';

const ScrollContainer = reset.div`
  flex: 1;
  overflow-y: auto;
`;

const FixedHeader = reset.div``;

const FixedFooter = reset.div``;

const Container = reset.div`
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
`;

const ThreeRowFixedHeader = (header, children) => React.createElement(
  Container,
  null,
  React.createElement(
    FixedHeader,
    null,
    header
  ),
  React.createElement(
    ScrollContainer,
    null,
    children
  )
);

ThreeRowFixedHeader.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  header: PropTypes.node
} : {};

const ThreeRowFixedFooter = (footer, children) => React.createElement(
  Container,
  null,
  React.createElement(
    ScrollContainer,
    null,
    children
  ),
  React.createElement(
    FixedFooter,
    null,
    footer
  )
);

ThreeRowFixedFooter.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  footer: PropTypes.node
} : {};

const ThreeRow = ({ header, footer, children, stickyFooter, stickyHeader }) => {
  if (stickyHeader) return ThreeRowFixedHeader(header, children);
  if (stickyFooter) return ThreeRowFixedFooter(footer, children);
  return ThreeRowFixedHeader(header, children);
};

ThreeRow.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  footer: PropTypes.node,
  header: PropTypes.node,
  stickyFooter: PropTypes.bool,
  stickyHeader: PropTypes.bool
} : {};

ThreeRow.defaultProps = {
  stickyHeader: false,
  stickyFooter: false
};

export default ThreeRow;