import React from 'react';
import PropTypes from 'prop-types';
import { SelectContainer } from './SelectComponents';

const Dropdown = props => React.createElement(SelectContainer, props);

Dropdown.propTypes = process.env.NODE_ENV !== "production" ? {
  isOpen: PropTypes.bool.isRequired,
  onClick: PropTypes.func.isRequired,
  placeholder: PropTypes.string,
  value: PropTypes.string.isRequired
} : {};

Dropdown.defaultProps = {
  placeholder: 'Choose',
  value: null
};

export default Dropdown;