import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { Container, TabHeader, TabHeaderItem, TabContent, TabScrollContent, Fadeout, FadeoutBottom } from './styledComponents';

var _ref = React.createElement(Fadeout, null);

var _ref2 = React.createElement(FadeoutBottom, null);

class TabsContainer extends Component {
  constructor(...args) {
    var _temp;

    return _temp = super(...args), this.tabClick = index => {
      this.props.onChange(index);
    }, _temp;
  }

  render() {
    const { content, activeIndex, tabs } = this.props;
    return React.createElement(
      Container,
      null,
      React.createElement(
        TabHeader,
        null,
        tabs.map((tab, index) => React.createElement(
          TabHeaderItem,
          { active: activeIndex === index, onClick: () => this.tabClick(index) },
          tab
        ))
      ),
      _ref,
      React.createElement(
        TabContent,
        null,
        React.createElement(
          TabScrollContent,
          null,
          content
        )
      ),
      _ref2
    );
  }
}

TabsContainer.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Active tab
   */
  activeIndex: PropTypes.number.isRequired,
  /**
   * Tab content
   */
  content: PropTypes.node.isRequired,
  /**
   * Tab change callback
   */
  onChange: PropTypes.func.isRequired,
  /**
   * List of tab names
   */
  tabs: PropTypes.array.isRequired
} : {};

TabsContainer.defaultProps = {
  activeIndex: 0,
  content: null,
  tabs: [],
  onChange: () => {}
};

export default TabsContainer;