import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';
import { Body } from '../Text';

export const Container = styled.div`
  display: flex;
  flex-direction: column;
  height: 100%;
  position: relative;
`;

export const TabHeader = styled.div`
  white-space: nowrap;
  flex-grow: 0;
  flex-shrink: 0;
  width: 100%;
  overflow-x: auto;
  border-bottom: 1px solid #dedede;
`;

const TabHeaderItemContainer = styled.div`
  cursor: pointer;
  display: inline-block;
  padding: 0 10px;
  flex: 1;
  ${props => props.active && 'border-bottom: 2px solid blue;'};
`;
export const TabHeaderItem = props => React.createElement(
  TabHeaderItemContainer,
  { active: props.active },
  React.createElement(Body, props)
);

TabHeaderItem.propTypes = process.env.NODE_ENV !== "production" ? {
  active: PropTypes.bool
} : {};

export const TabContent = styled.div`
  flex: 1;
  display: flex;
  flex-direction: column;
`;

export const TabScrollContent = styled.div`
  max-height: 100%;
  overflow-y: auto;
  overflow-x: hidden;
  height: 100%;
  padding: 18px 0;
`;

export const Fadeout = styled.div`
  position: absolute;
  top: 51px;
  height: 36px;
  background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
  width: 100%;
  z-index: 10;
`;

export const FadeoutBottom = styled.div`
  position: absolute;
  bottom: 0;
  height: 36px;
  background: linear-gradient(to top, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
  width: 100%;
  z-index: 10;
`;