import React from 'react';
import PropTypes from 'prop-types';
import { ThemeProvider } from 'styled-components';
import colors from '../../Tokens/base/colors';
import UnderlinedOptionContainer from './UnderlinedOptionContainer';

const UnderlinedOption = props => React.createElement(
  ThemeProvider,
  { theme: x => x },
  React.createElement(UnderlinedOptionContainer, props)
);

UnderlinedOption.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Underline color if underlined
   */
  borderColor: PropTypes.string,
  /**
   * Label
   */
  children: PropTypes.node.isRequired,
  /**
   * Regular or small UnderlinedOption.
   */
  variation: PropTypes.oneOf(['large', 'regular'])
} : {};

UnderlinedOption.defaultProps = {
  variation: 'regular',
  borderColor: colors.brand100
};

export default UnderlinedOption;