import _extends from 'babel-runtime/helpers/extends';
import { injectGlobal } from 'styled-components';
import colors from './colors';

// eslint-disable-next-line no-unused-expressions
injectGlobal`
  @import url('https://fonts.googleapis.com/css?family=Noto+Sans:400,400i,700,700i');
`;

const font = {
  fontFamily: "'Noto Sans', sans-serif",
  regular: {
    size: 16,
    lineHeight: 24
  },
  title: {
    size: 36,
    lineHeight: 42
  }
};

const text = {
  color: colors.grey400,
  navigation: {
    fontSize: 20,
    lineHeight: 24
  },
  body: {
    fontSize: font.regular.size,
    lineHeight: font.regular.lineHeight,
    paddingTop: 12,
    paddingBottom: 12,
    color: colors.grey300
  },
  subheading: {
    size: 16,
    fontSize: 16,
    lineHeight: 24,
    paddingTop: 12,
    paddingBottom: 12,
    color: colors.grey400,
    fontWeight: 'bold'
  },
  title: {
    fontSize: font.title.size,
    lineHeight: font.title.lineHeight,
    paddingTop: 7,
    paddingBottom: 11,
    color: colors.grey400
  },
  caption: {
    fontSize: 14
  },
  link: {
    color: colors.brand100,
    hover: {
      color: colors.brand200
    },
    active: {
      color: colors.brand300
    }
  }
};

export default _extends({}, font, text);