import _extends from 'babel-runtime/helpers/extends';
import text from './text';

export default (defaultTheme => {
  return _extends({}, defaultTheme, {
    width: 24,
    height: 24,
    text: text(defaultTheme),
    checked: {
      default: {
        border: {
          color: defaultTheme.colors.brand100
        },
        background: {
          color: defaultTheme.colors.brand100
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      hover: {
        border: {
          color: defaultTheme.colors.brand200
        },
        background: {
          color: defaultTheme.colors.brand200
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      focus: {
        border: {
          color: defaultTheme.colors.brand300
        },
        background: {
          color: defaultTheme.colors.brand300
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      disabled: {
        border: {
          color: defaultTheme.colors.grey100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      error: {
        border: {
          color: defaultTheme.colors.red100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      }
    },
    unchecked: {
      default: {
        border: {
          color: defaultTheme.colors.grey200
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      hover: {
        border: {
          color: defaultTheme.colors.grey400
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      focus: {
        border: {
          color: defaultTheme.colors.brand100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      disabled: {
        border: {
          color: defaultTheme.colors.grey100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      error: {
        border: {
          color: defaultTheme.colors.red100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      }
    }
  });
});